varying vec3 Normal;
varying vec4 Vertex;

varying vec4 VertexColor;

uniform gl_MaterialParameters gl_FrontMaterial;

void main(void)
{
/*
//    vec4 white = vec4(1.0f,1.0f,1.0f,1.0f);
//    gl_FragColor = white;

*/
    vec3 V = -normalize(Vertex.xyz);
    vec3 N = normalize(Normal);
    vec3 L = normalize(gl_LightSource[0].position.xyz - Vertex.xyz);
    vec3 R = normalize(reflect(-L,N));//- oder +?


    float shininess = gl_FrontMaterial.shininess;

    float kd = max(0.0,dot(L.xyz,N));

    float rdotv = max(dot(R,V.xyz),0);

    float ks = pow(rdotv,shininess);

    vec4 color = vec4(rdotv);
//    gl_FragColor = color;
    gl_FragColor = vec4(ks + 0.5f*kd);


//    gl_FragColor = vec4(gl_FrontMaterial.diffuse*kd);//es fehlt: licht und color

//    gl_FragColor = vec4(gl_Color);//Nein.
//    gl_FragColor = VertexColor;//Pink.

}

